<?php
/*
+ ----------------------------------------------------------------------------+
|     e107 website system
|
|     Steve Dunstan 2001-2002
|     http://e107.org
|     jalist@e107.org
|
|     Released under the terms and conditions of the
|     GNU General Public License (http://gnu.org).
|     
+----------------------------------------------------------------------------+
*/

if (!defined('e107_INIT')) { exit; }

//------------------------------------------------------------------------------+

// [multilanguage]

@include_once(THEME."languages/".e_LANGUAGE.".php");
@include_once(THEME."languages/English.php");

//------------------------------------------------------------------------------+

// [theme info]

$themename = "Ride v1.0";
$themeversion = "1.0";
$themeauthor = "User54";
$themeemail = "user54@user54.com";
$themewebsite = "http://www.user54.com";
$themedate = "25 January 2009";
$themeinfo = "Ride v1.0 theme made by user54 admin of <a href='http://www.user54.com/news.php' rel='external'>User54.com</a>";

define("STANDARDS_MODE", TRUE);
define("BULLET", "Bullet2.png");
define("IMODE", "lite");

$xhtmlcompliant = true;
$csscompliant = true;

// ----------------  MAKE YOUR THEME RENDER ANY CUSTOM SHORTCODES
$register_sc[]="REGISTER";
$register_sc[]="ULOGIN";
$register_sc[]="THEME_BY_USER";
//-----------------END

$CUSTOMPAGES = "forum.php forum_viewtopic.php forum_viewforum.php forum_post.php submitnews.php request.php";

$layout = "_default"; 

$HEADER = "
<div id='mainwrap'>
<div id='veryverytop'>
<div id='logintop'>
		        {REGISTER}
				</div>
</div>
 <div id='verytop'>
 <div id='customsearch'>
			{SEARCH}
			</div>
 <div id='logintopright'>
		        {ULOGIN}
			</div>
			</div>
	<div id='header'>
			<div id='logo'>
		</div>  
		</div>
  {SITELINKS}
  <div id='container'>
	<div id='left_column'>
	{SETSTYLE=left_menu}
		{MENU=1}
		</div>
		<div id='center_column'>
		<div class='menu_normal_table'>
			{SETSTYLE=news}
		
			
			
";
			
$FOOTER = "
</div>	
</div>
<div id='right_column'>
	 {SETSTYLE=right_menu}
		{MENU=2}
			</div>
<div id='footer'>
		<div id='disclaim'>
		    Design Downloaded from <a title="free joomla templates" href="http://www.template4all.com/">free website themes templates</a> | <a href="http://www.freethemes4all.com/">free wordpress themes</a> | <a href="http://www.seodesign.us/" title="web design resources" target="_blank">web design resources</a> | <a href="http://www.imagincreation.com/" title="graphics" target="_blank">graphics</a>. <br /> {SITEDISCLAIMER}
			</div>
            </div>
            </div>
			</div>
			<div id='license'>
		    {THEME_BY_USER}
		    </div>
            
";
//THIS IS THE CUSTOM LAYOUT ------- THIS ONLY HAS 2 COLUMNS
$CUSTOMHEADER = "
<div id='mainwrap'>
<div id='veryverytop'>
<div id='logintop'>
		        {REGISTER}
				</div>
</div>
 <div id='verytop'>
 <div id='customsearch'>
			{SEARCH}
			</div>
 <div id='logintopright'>
		        {ULOGIN}
			</div>
			</div>
	<div id='header'>
			<div id='logo'>
		</div>  
		</div>
  {SITELINKS}
  <div id='container'>
	<div id='left_column'>
	{SETSTYLE=left_menu}
		{MENU=1}
		</div>
	<div id='custom_center_column'>
			{SETSTYLE=centercontent}
			
";
			
$CUSTOMFOOTER = "
</div>
<div id='footer'>
		<div id='disclaim'>
		    {SITEDISCLAIMER}
			</div>
            </div>
            </div>
			</div>
			<div id='license'>
		    {THEME_BY_USER}
		    </div>

";



//------------------------------------------------------------------------------+

//[linkstyle]

define('PRELINK', "<div id='nav'><ul>");
define('POSTLINK', "</ul></div>");
define('LINKSTART', "<li>");
define("LINKSTART_HILITE", "<li class='active'>");
define('LINKEND', "</li>");
define('LINKDISPLAY', 1);
define('LINKALIGN', "left");


//------------------------------------------------------------------------------+

// [tablestyle]
//dealing with multiple menu styles

function tablestyle($caption, $text){
	global $style;
switch ($style) {



//DEFINES LEFT MENU
	case "left_menu":
	echo "
       <div class='menu_table1'>
	         <div class='menu_caption1'>
			     <div class='caption1'>
				 ".$caption."
				 </div>
                 </div>
	         <div class='menu_content1'>
			 ".$text."
             </div>
	         <div class='menu_bottom1'>
	             </div>
				 </div>
                 
				 <!-- -->
";
	break;
//DEFINES RIGHT MENU
 	case "right_menu":
	echo "
	<div class='menu_table'>
	         <div class='menu_caption2'>
			     <div class='caption2'>
				 ".$caption."
				 </div>
                 </div>
	         <div class='menu_content2'>
			 ".$text."
             </div>
	         <div class='menu_bottom2'>
	             </div>
				 </div>
				 
	             <!-- -->
";


	break;
//DEFINES DEFAULT MENUS, THESE WILL BE DISPLAYED IN ADMIN MENU AREA
	default:
	echo "
     <div class='menu_table'>
	         <div class='menu_caption'>
			     <div class='caption'>
				 ".$caption."
				 </div>
                 </div>
	         <div class='menu_content'>
			 ".$text."
             </div>
	         <div class='menu_bottom'>
	             </div>
				 </div>
				  <!-- -->
";
    break;
	//DEFINES CENTER COLUMN AS DEFAULT
	case "center_column":
	echo "
	 <div class='menu_normal_table'>
	         <div class='menu_caption3'>
			     <div class='caption3'>
	                 ".$caption."
				 </div>
				 </div>
	         <div class='menu_content3'>
	             ".$text."
				 </div>
	         <div class='menu_bottom3'>
			 </div>
			 </div>
			 <!-- -->
";
	break;
	//DEFINES CENTER COLUMN FOR FORUM
    case "centercontent":
	echo "
	 <div class='menu_custom_table'>	         
	 <div class='menu_caption4'>
			     <div class='caption4'>
	                 ".$caption."
				 </div>
				 </div>
	         <div class='menu_content4'>
	             ".$text."
				 </div>
	         <div class='menu_bottom4'>
			 </div>
			 </div>
			 <!-- -->
";
	break;
 }
}

//------------------------------------------------------------------------------+

//[newsstyle]

$sc_style['NEWSIMAGE']['pre'] = "<div class='news_image'>";
$sc_style['NEWSIMAGE']['post'] = "</div>";

$NEWSSTYLE = "
<div class='title'>
{NEWSTITLE}
<div class='date'>
{NEWSDATE}
</div>
</div>
<div class='story'>
{NEWSBODY}
{EXTENDED}
<div class='postby'>
Posted by:     
{NEWSAUTHOR}
&nbsp;::&nbsp;
{NEWSCOMMENTS}
&nbsp;::&nbsp;
{EMAILICON}
{PRINTICON}
{ADMINOPTIONS}
</div>
</div>
<div class='news_bottom'>
</div> 
";

define("ICONSTYLE", "");
define("COMMENTLINK", LAN_THEME_3);
define("COMMENTOFFSTRING", LAN_THEME_2);
define("PRE_EXTENDEDSTRING", "");
define("EXTENDEDSTRING", LAN_THEME_4);
define("POST_EXTENDEDSTRING", "<br />");

//------------------------------------------------------------------------------+

// [chatboxstyle]

$CHATBOXSTYLE = "
     <div class='chat'>
	     {USERNAME}:
		     <span class='ltext'>
			     {TIMEDATE}
			 </span>
                 <div class='chattext'>
                     {MESSAGE}
                 </div>
	 </div>

";

?>